import React, {useState, useEffect} from 'react';
import ReactDOM from 'react-dom';

import Header from './Header.jsx';
import Feed from './Feed.jsx';
import Navigator from './Navigator.jsx';
import Call from './Call.jsx';

const App = () => {
	const [recent, setRecent] = useState(true)
	const [entry, setEntry] = useState()

	let focus = <Feed recent={recent} onSelect={ (c) => setEntry(c) }/>
	if (entry) {
		focus = <Call info={entry}/>
	}

  return (
    <div className='container'>

      <Header/>
	  <Navigator onPageChange={ (r) => setRecent(r) }
	  recent={recent}/>

      <div className="container-view">
	  {focus}
	  </div>

    </div>
  );
};

ReactDOM.render(<App/>, document.getElementById('app'));

export default App;
